Get DB Role Job
curl --request GET \
--url https://use.hoop.dev/api/dbroles/jobs/{id}import requests
url = "https://use.hoop.dev/api/dbroles/jobs/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/dbroles/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completed_at": "2025-02-28T13:45:12Z",
"created_at": "2025-02-28T12:34:56Z",
"hook_status": {
"execution_time_sec": 5,
"exit_code": 0,
"output": "output"
},
"id": "67D7D053-3CAF-430E-97BA-6D4933D3FD5B",
"org_id": "37EEBC20-D8DF-416B-8AC2-01B6EB456318",
"spec": {
"account_arn": "arn:aws:iam:123456789012",
"db_arn": "arn:aws:rds:us-west-2:123456789012:db:my-instance",
"db_engine": "postgres",
"db_name": "customers",
"db_tags": [
{
"key": "squad",
"value": "banking"
}
]
},
"status": {
"message": "All user roles have been successfully provisioned",
"phase": "running",
"result": [
{
"completed_at": "2025-02-28T12:34:56Z",
"credentials_info": {
"secret_id": "dbsecrets/data/pgprod",
"secret_keys": [
"HOST",
"PORT",
"USER",
"PASSWORD",
"DB"
],
"secrets_manager_provider": "database"
},
"message": "process already being executed, resource_id=arn:aws:rds:us-west-2:123456789012:db:my-postgres-db",
"status": "failed",
"user_role": "hoop_ro"
}
]
}
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}AWS
Get DB Role Job
Get DB Role job by id
GET
/
dbroles
/
jobs
/
{id}
Get DB Role Job
Path Parameters
The unique identifier of the resource
Response
OK
Timestamp when this job finished execution (null if still in progress)
Example:
"2025-02-28T13:45:12Z"
Timestamp when this job was initially created
Example:
"2025-02-28T12:34:56Z"
The Runbook execution status
Show child attributes
Show child attributes
Unique identifier for this database role job
Example:
"67D7D053-3CAF-430E-97BA-6D4933D3FD5B"
Unique identifier of the organization that owns this job
Example:
"37EEBC20-D8DF-416B-8AC2-01B6EB456318"
AWS-specific configuration details for the database role provisioning
Show child attributes
Show child attributes
Current status and results of the job execution (null if not started)
Show child attributes
Show child attributes
Was this page helpful?
⌘I